package com.kym.common.cache;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author skyline
 * @description 充电接口缓存
 * @date 2023-11-08 22:02
 */
public enum ConnectorStatusCache {
    INSTANCE;

    private static ConcurrentHashMap<String, Integer> cache = new ConcurrentHashMap<>();

    public void put(String key, Integer value) {
        cache.put(key, value);
    }

    public void putAll(Map<String, Integer> map) {
        cache.putAll(map);
    }


    public Integer get(String key) {
        return cache.get(key);
    }

    public void remove(String key) {
        cache.remove(key);
    }

}
